﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win;

namespace WT_DifferentFormantsSameColumn
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();

            dt.Columns.Add("id", typeof(int)).AutoIncrement = true;
            dt.Columns.Add("Number", typeof(float));
            dt.Columns.Add("Format", typeof(string)).DefaultValue = "N0";

            dt.Rows.Add(new object[] { null, 1321, null });
            dt.Rows.Add(new object[] { null, 432.53, null });
            dt.Rows.Add(new object[] { null, 34.1, "N1" });
            dt.Rows.Add(new object[] { null, 321, "N1" });

            ultraTree1.DataSource = dt;

            ultraTree1.ViewStyle = Infragistics.Win.UltraWinTree.ViewStyle.OutlookExpress;
            EditorWithText editor = new EditorWithText();
            editor.DataFilter = new CustomDataFiler();
            ultraTree1.ColumnSettings.ColumnSets[0].Columns["Number"].Editor = editor;
        }
    }
}
